ledit (2.04-6build7) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Sep 2023 15:40:08 +0200

ledit (2.04-6build6) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 08:43:38 +0200

ledit (2.04-6build5) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Sep 2023 23:55:20 +0200

ledit (2.04-6build4) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Jan 2023 11:40:07 +0100

ledit (2.04-6build3) kinetic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 May 2022 10:40:52 +0200

ledit (2.04-6build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 07:03:37 +0100

ledit (2.04-6) unstable; urgency=medium

  * Fix compilation with camlp5 8.00.02 (Closes: #1004052)
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jan 2022 06:07:28 +0100

ledit (2.04-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 14:03:47 +0200

ledit (2.04-4) unstable; urgency=medium

  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 13:22:35 +0100

ledit (2.04-3) unstable; urgency=medium

  * Move bash-completion to Build-Depends, so that we can use dh --with
    bash_completion

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2019 14:04:37 +0200

ledit (2.04-2) unstable; urgency=medium

  * Bump debhelper compat level to 12 and switch to dh
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2019 08:48:00 +0200

ledit (2.04-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* fields
  * Remove Samuel from Uploaders as he is no longer a DD. Many thanks
    to Samuel for his past work in our team!

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 14:03:05 +0200

ledit (2.03-6) unstable; urgency=medium

  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Sep 2017 15:30:38 +0200

ledit (2.03-5) unstable; urgency=medium

  * Standards-Version 3.9.8 (no change)
  * Debhelper compatibility level 10:
    - bump debian/compat
    - bump build-dependency on debhelper
  * Vcs-{Git,Browser}: use secure URI
  * debian/rules: replace deprecated debhelper option "-s" by "-a"
  * add bash-completion:
    - add build-dependency on bash-completion
    - add debian/ledit.bash-completion
    - debian/rules: invoke dh_bash-completion

 -- Ralf Treinen <treinen@debian.org>  Sat, 17 Dec 2016 11:29:40 +0100

ledit (2.03-4) unstable; urgency=medium

  * Rebuild with OCaml 4.02.3

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 19:13:47 +0200

ledit (2.03-3) unstable; urgency=medium

  * Misspelled shlibs in d/control. Thanks to Chris Lamb! (closes: #792968)
  * d/copyright: short name of license according to standard.
  * Standards-Version 3.9.6 (no change)
  * d/control: canonical addresses in VCS-* fields
  * Fix typo in manpage ("allows one to")
  * drop README.source which is no longer relevant.

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Aug 2015 15:07:24 +0200

ledit (2.03-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Compile with OCaml 4.01.0

  [ Ralf Treinen ]
  * new patch manpage-typos: fix some typos in ledit.1 manpage. Thanks a
    lot to A. Costa! (closes: #672479)
  * debian/copyright header paragraph: add format, field names as required
    by format 1.0, drop fields not allowd in format 1.0

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Dec 2013 20:10:11 +0100

ledit (2.03-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release

  [ Ralf Treinen ]
  * debian/rules: added targets build-{arch,indep}
  * Added myself as uploader.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Mar 2012 18:47:51 +0100

ledit (2.02.1-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Recompile with OCaml 3.12.1 (no changes)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 23:29:41 +0100

ledit (2.02.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.12.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 14:48:24 +0200

ledit (2.02.1-1) unstable; urgency=low

  * New upstream release
    - remove all patches (merged upstream)
  * Switch source package format to 3.0 (quilt)
  * debian/control:
    - bump Standards-Version to 3.9.1
    - bump versioned build-dependency on camlp5 to ease camlp5 transition

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2011 18:20:22 +0100

ledit (2.01-6) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Feb 2010 21:33:25 +0100

ledit (2.01-5) unstable; urgency=low

  [ Stéphane Glondu ]
  * debian/control:
    - update my e-mail address and remove DMUA
    - update Standards-Version to 3.8.3 (no changes)

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Simplify debian/rules
    - Use debian/clean
    - Use dh_ocamldoc (Closes: #549718)
    - Use dh_ocaml
   * Add dh_ocaml variables ${misc:Depends} in debian/control

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 06 Oct 2009 15:05:26 +0200

ledit (2.01-4) unstable; urgency=low

  [ Stephane Glondu ]
  * Add myself to Uploaders and DMUA
  * Fix bashism in debian/rules (Closes: #535394)
  * debian/control:
    - update Standards-Version to 3.8.2
    - move libledit-ocaml-dev to section ocaml
    - add Homepage field
    - add versioned dependency to camlp5 to ease OCaml 3.11.1 transition
  * Generate API documentation and install ledit.mli and cursor.mli

  [ Sylvain Le Gall ]
  * Add debian/README.source for standards-version compliance
  * Update debian/copyright using
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove lintian overrides
  * Add myself to Uploaders

 -- Stephane Glondu <steph@glondu.net>  Thu, 02 Jul 2009 09:17:01 +0200

ledit (2.01-3) unstable; urgency=low

  * provide for the (new) virtual package "readline-editor"
  * register ledit executable as an alternative for readline-editor
  * bump Standards-Version to 3.8.1 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 27 Apr 2009 18:19:23 +0200

ledit (2.01-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Samuel Mimram ]
  * Use dh-ocaml's predefined variables and cleanup rules.

 -- Samuel Mimram <smimram@debian.org>  Mon, 23 Feb 2009 09:36:16 +0100

ledit (2.01-1) experimental; urgency=low

  [ Stephane Glondu ]
  * Switching packaging to git

  [ Stefano Zacchiroli ]
  * New Upstream Version
  * Rebuild with OCaml 3.11 (strengthen dep on camlp5)
  * debian/control: bump Standards-Version (no changes needed)
  * debian/rules: prefer "dh_prep" to deprecated "dh_clean -k"

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 01 Feb 2009 17:58:05 +0100

ledit (2.00-4) unstable; urgency=low

  * split a new libledit-ocaml-dev binary package, shipping Ledit as a
    library to build interactive programs with line editing capabilities
  * debian/control: move ocaml build-deps from build-dep-indep to
    build-dep since now we ship an arch:any package
  * bump debhelper compatibility level to 7

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 03 Jun 2008 11:44:10 +0200

ledit (2.00-3) unstable; urgency=low

  * Rebuild against OCaml 3.10.2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 May 2008 11:52:50 +0200

ledit (2.00-2) unstable; urgency=low

  * Rebuild against ocaml 3.10.1.
  * Add myself to Uploaders.
  * Remove the binary-arch rule from debian/rules; build the package in
    binary-indep instead (thanks, lintian!).

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Feb 2008 11:02:01 +0100

ledit (2.00-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Jan 2008 19:17:56 +0100

ledit (1.17-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Wed, 16 Jan 2008 10:25:15 +0000

ledit (1.16-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Samuel Mimram ]
  * New upstream release.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Fri, 04 Jan 2008 09:44:28 +0000

ledit (1.15-1) unstable; urgency=low

  * new upstream release
  * debian/watch
    - better regexp to avoid fooling uscan when creating the .orig.tar.gz
      symlink
  * debian/control
    - bump ocaml-nox dep build-dep to 3.10
  * debian/patches
    - disable camlp5 patch, now upstream relies natively on camlp5

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 16:06:37 +0200

ledit (1.14-1) experimental; urgency=low

  * new upstream release
  * rebuild against ocaml 3.10.0 and upload to experimental
  * debian/control.in
    - file removed, no longer needed
  * debian/control
    - add build-dep on camlp5, since we need the classical camlp4
    - bump debhelper build-dep to 5
  * debian/watch
    - add watch file
  * debian/patches
    - remove ledit.dpatch, no longer needed
    - add camlp5.dpatch, to build properly against (renamed) classical camlp4
  * debian/compat
    - bump debhelper compatibility level to 5

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 11 Jul 2007 11:09:47 +0200

ledit (1.13-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 16:53:53 +0200

ledit (1.13-1) experimental; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Thu, 22 Mar 2007 00:09:53 +0100

ledit (1.11-8) unstable; urgency=low

  * Removed version specific information from debian/*; uses 'ocamlinit'
    target to generate files from their .in version.
  * Rebuilt with OCaml 3.09.2.
  * debian/control.in
    - Bumped Standards-Policy to 3.7.2 (no changes needed).
    - Added me as an uploader.
    - Set debhelper and dpatch as Build-Depends (not -Indep).

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 May 2006 22:00:59 +0000

ledit (1.11-7) unstable; urgency=low

  * New maintainer: Debian OCaml Maintainers.
  * Rebuild with OCaml 3.09.1.
  * Cleaned up rules.

 -- Samuel Mimram <smimram@debian.org>  Sat,  7 Jan 2006 12:19:06 +0100

ledit (1.11-6) unstable; urgency=low

  * Rebuilt for ocaml 3.09.0.
  * Changed campl4 loc to _loc.
  * Removed all references to the ocaml abi from the control file, in favour
    of a dh_gencontrol substitution variable.

 -- Sven Luther <luther@debian.org>  Thu, 27 Oct 2005 21:23:22 +0000

ledit (1.11-5) unstable; urgency=low

  * Stop shipping the man page in manl. (Closes: #269270)

 -- Sven Luther <luther@debian.org>  Sat,  7 May 2005 16:24:19 +0200

ledit (1.11-4) unstable; urgency=medium

  * Rebuilt for ocaml 3.08.3.

 -- Sven Luther <luther@debian.org>  Tue, 22 Mar 2005 08:45:14 +0100

ledit (1.11-3) unstable; urgency=low

  * Rebuilt for ocaml 3.08. (Closes: #260760)

 -- Sven Luther <luther@debian.org>  Mon, 26 Jul 2004 13:39:54 +0200

ledit (1.11-2) unstable; urgency=low

  * Rebuilt for ocaml 3.07.

 -- Sven Luther <luther@debian.org>  Tue, 30 Sep 2003 22:39:31 +0200

ledit (1.11-1) unstable; urgency=low

  * New upstream release.
  * Removed some command which are incompatible with 8-bit locales.
    (Closes: #182063)

 -- Sven Luther <luther@debian.org>  Wed,  6 Aug 2003 11:02:21 +0200

ledit (1.10-8) unstable; urgency=low

  * Rebuilt for ocaml 3.06-13

 -- Sven Luther <luther@debian.org>  Sun, 15 Dec 2002 00:44:39 +0100

ledit (1.10-7) unstable; urgency=low

  * Added a dependency on ocaml-base-3.06, which i did forgot in the last
    release. (Closes: #161494)

 -- Sven Luther <luther@debian.org>  Thu, 19 Sep 2002 21:17:39 +0200

ledit (1.10-6) unstable; urgency=low

  * Removed -custom build option => ledit is now Architecture: all.

 -- Sven Luther <luther@debian.org>  Fri,  6 Sep 2002 18:23:47 +0200

ledit (1.10-5) unstable; urgency=low

  * Removed obsolet -warn_seq option from Makefile (Closes: #140545)

 -- Sven Luther <luther@debian.org>  Tue,  2 Apr 2002 18:02:26 +0200

ledit (1.10-4) unstable; urgency=low

  * Removed ocaml dependency.

 -- Sven Luther <luther@debian.org>  Tue,  6 Nov 2001 13:52:25 +0100

ledit (1.10-3) unstable; urgency=low

  * Fixed long line in short description

 -- Sven Luther <luther@debian.org>  Thu, 30 Aug 2001 11:14:35 +0200

ledit (1.10-2) unstable; urgency=low

  * Removed the ocaml wrapper.

 -- Sven Luther <luther@debian.org>  Fri, 24 Aug 2001 12:52:29 +0200

ledit (1.10-1) unstable; urgency=low

  * Initial Release.

 -- Sven Luther <luther@debian.org>  Wed, 15 Aug 2001 12:38:35 +0200
